|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Qt 3 Support Members for QPalette

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QPalette class reference

### Public Functions

- QPalette ( const QColorGroup & active, const QColorGroup & disabled, const QColorGroup & inactive )
- QColorGroup active () const
- QPalette copy () const
- QColorGroup disabled () const
- QColorGroup inactive () const
- QColorGroup normal () const
- void setActive ( const QColorGroup & colorGroup )
- void setDisabled ( const QColorGroup & colorGroup )
- void setInactive ( const QColorGroup & colorGroup )
- void setNormal ( const QColorGroup & colorGroup )

## Member Function Documentation

### QPalette::QPalette ( const QColorGroup & active, const QColorGroup & disabled, const QColorGroup & inactive )

Constructs a palette with the specified active, disabled and inactive color groups.

### QColorGroup QPalette::active () const

### QPalette QPalette::copy () const

Use simple assignment instead.

### QColorGroup QPalette::disabled () const

### QColorGroup QPalette::inactive () const

### QColorGroup QPalette::normal () const

Use createColorGroup(Active) instead.

### void QPalette::setActive ( const QColorGroup & colorGroup )

Use setColorGroup(Active, colorGroup) instead.

### void QPalette::setDisabled ( const QColorGroup & colorGroup )

Use setColorGroup(Disabled, colorGroup) instead.

### void QPalette::setInactive ( const QColorGroup & colorGroup )

Use setColorGroup(Inactive, colorGroup) instead.

### void QPalette::setNormal ( const QColorGroup & colorGroup )

Use setColorGroup(Active, colorGroup) instead.